"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeUnwantedCharacterFromText = exports.formatTextWithAsciiValues = exports.formatObjKey = void 0;
const iconv_1 = __importDefault(require("iconv"));
function formatObjKey(key) {
    const splitKey = key
        .trim()
        .replace(/[^a-zA-Z\s]/gi, "")
        .replace(/\b[a-z]/g, (match) => match.toUpperCase())
        .toString()
        .split(/\s/);
    const combination = splitKey.length > 1
        ? splitKey.join("").charAt(0).toLowerCase() + splitKey.join("").slice(1)
        : splitKey.join("").toLowerCase();
    return combination;
}
exports.formatObjKey = formatObjKey;
function formatTextWithAsciiValues(text) {
    if (!text || text.length < 1) {
        return null;
    }
    const iconv = new iconv_1.default.Iconv("UTF-8", "ASCII//TRANSLIT//IGNORE");
    const cleanText = text.trim().replace(/\s{2,}/g, "");
    return Buffer.from(iconv.convert(cleanText)).toString("utf-8");
}
exports.formatTextWithAsciiValues = formatTextWithAsciiValues;
function removeUnwantedCharacterFromText(text) {
    if (!text || text.length < 1) {
        return null;
    }
    return text.trim().replace(/\n/g, "").replace(/\t/g, "");
}
exports.removeUnwantedCharacterFromText = removeUnwantedCharacterFromText;
//# sourceMappingURL=formatting.js.map