"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.setupPage = exports.setupBrowser = void 0;
const puppeteer_extra_1 = __importDefault(require("puppeteer-extra"));
const puppeteer_extra_plugin_stealth_1 = __importDefault(require("puppeteer-extra-plugin-stealth"));
async function setupBrowser() {
    puppeteer_extra_1.default.use(puppeteer_extra_plugin_stealth_1.default());
    const browser = await puppeteer_extra_1.default.launch({
        headless: true,
        pipe: true,
        devtools: false,
        args: [
            "--disable-gpu",
            "--disable-setuid-sandbox",
            "--disable-gl-drawing-for-tests",
            "--disable-dev-shm-usage",
            "--disable-accelerated-2d-canvas",
            "--no-sandbox",
            "--no-first-run",
            "--no-zygote",
            "--hide-scrollbars",
            "--proxy-server='direct://'",
            "--proxy-bypass-list=*",
            "--cap-add=SYS_ADMIN",
            "--disable-extensions",
            "--disable-web-security",
            "--disable-features=IsolateOrigins,site-per-process",
            "--disable-crash-reporter",
            "--disable-breakpad",
        ],
        defaultViewport: null,
    });
    return browser;
}
exports.setupBrowser = setupBrowser;
async function setupPage(url, browser) {
    const [page] = await browser.pages();
    await page.setRequestInterception(true);
    page.on("request", (request) => {
        if (request.resourceType() === "image" ||
            request.resourceType() === "stylesheet" ||
            request.resourceType() === "font") {
            request.abort();
        }
        else {
            request.continue();
        }
    });
    await page.goto(url);
    return page;
}
exports.setupPage = setupPage;
//# sourceMappingURL=setupPuppeteer.js.map