"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetchSintegra = void 0;
const node_fetch_1 = __importDefault(require("node-fetch"));
const estados_1 = __importDefault(require("../utils/estados"));
async function fetchSintegra(cnpj) {
    try {
        const response = await node_fetch_1.default(estados_1.default.ALAGOAS.url, {
            method: "POST",
            body: JSON.stringify({ cnpj }),
            headers: { "Content-Type": "application/json" },
        });
        const data = await response.json();
        if (!data || data.length < 0) {
            throw new Error("Registro não existe");
        }
        return data[0];
    }
    catch (err) {
        throw err;
    }
}
exports.fetchSintegra = fetchSintegra;
//# sourceMappingURL=sintegraAL.js.map